SSLServerSocketFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLServerSocketFactory

    java.lang.Object
      javax.net.ServerSocketFactory
          javax.net.ssl.SSLServerSocketFactory

    public abstract class SSLServerSocketFactory

extends ServerSocketFactory

`SSLServerSocketFactory`s create `SSLServerSocket`s.

Since:
  1.4
Version:
  1.20
Author:
  David Brownell
See Also:
  `SSLSocket`, `SSLServerSocket`

Method Summary
`static ServerSocketFactory` | `getDefault()` Returns the default SSL server socket factory.
`abstract String[]` | `getDefaultCipherSuites()` Returns the list of cipher suites which are enabled by default.
`abstract String[]` | `getSupportedCipherSuites()` Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory.

Methods inherited from class javax.net.ServerSocketFactory
`createServerSocket, createServerSocket, createServerSocket, createServerSocket`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefault

    public static ServerSocketFactory getDefault()
                                          throws UnsupportedOperationException

  Returns the default SSL server socket factory. The default implementation can be changed by setting the value of the "ssl.ServerSocketFactory.provider" security property (in the Java security properties file) to the desired class.

  If SSL has not been configured properly for this virtual machine, the factory will be inoperative (use of which will report instantiation exceptions).

  Returns:
    the default `ServerSocketFactory`
  Throws:
    `UnsupportedOperationException` - if the underlying implementation does not support `SSLServerSocket` funcationality.

### getDefaultCipherSuites

    public abstract String[] getDefaultCipherSuites()

  Returns the list of cipher suites which are enabled by default. Unless a different list is enabled, handshaking on an SSL connection will use one of these cipher suites. The minimum quality of service for these defaults requires confidentiality protection and server authentication (that is, no anonymous cipher suites).

  Returns:
    array of the cipher suites enabled by default
  See Also:
    `getSupportedCipherSuites()`

### getSupportedCipherSuites

    public abstract String[] getSupportedCipherSuites()

  Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory. Normally, only a subset of these will actually be enabled by default, since this list may include cipher suites which do not meet quality of service requirements for those defaults. Such cipher suites are useful in specialized applications.

  Returns:
    an array of cipher suite names
  See Also:
    `getDefaultCipherSuites()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD